Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest.topic
Class SubscriptionsResource

    java.lang.Object
      org.hornetq.rest.topic.SubscriptionsResource

All Implemented Interfaces:
  TimeoutTask.Callback

    public class SubscriptionsResource

extends java.lang.Object
implements TimeoutTask.Callback

Version:
  $Revision: 1 $
Author:
  Bill Burke

Field Summary
`protected int` | `consumerTimeoutSeconds`
`protected java.lang.String` | `destination`
`protected java.util.concurrent.ConcurrentHashMap<java.lang.String,QueueConsumer>` | `queueConsumers`
`protected DestinationServiceManager` | `serviceManager`
`protected java.util.concurrent.atomic.AtomicLong` | `sessionCounter`
`protected org.hornetq.api.core.client.ClientSessionFactory` | `sessionFactory`
`protected java.lang.String` | `startup`

Constructor Summary
`SubscriptionsResource()`

Method Summary
`protected QueueConsumer` | `createConsumer(boolean durable, boolean autoAck, java.lang.String subscriptionName, java.lang.String selector)`
`javax.ws.rs.core.Response` | `createSubscription(boolean durable, boolean autoAck, java.lang.String subscriptionName, java.lang.String selector, javax.ws.rs.core.UriInfo uriInfo)`
`void` | `deleteAckSubscription(java.lang.String consumerId)`
`void` | `deleteSubscription(java.lang.String consumerId)`
`QueueConsumer` | `findAcknoledgeSubscription(java.lang.String subscriptionId)`
`QueueConsumer` | `findAutoAckSubscription(java.lang.String subscriptionId)`
`protected java.lang.String` | `generateSubscriptionName()`
`javax.ws.rs.core.Response` | `getAcknowledgedConsumer(java.lang.String consumerId, javax.ws.rs.core.UriInfo uriInfo)`
`javax.ws.rs.core.Response` | `getAutoAckSubscription(java.lang.String consumerId, javax.ws.rs.core.UriInfo uriInfo)`
`int` | `getConsumerTimeoutSeconds()`
`java.lang.String` | `getDestination()`
`DestinationServiceManager` | `getServiceManager()`
`org.hornetq.api.core.client.ClientSessionFactory` | `getSessionFactory()`
`javax.ws.rs.core.Response` | `headAcknowledgedConsumer(java.lang.String consumerId, javax.ws.rs.core.UriInfo uriInfo)`
`javax.ws.rs.core.Response` | `headAutoAckSubscription(java.lang.String consumerId, javax.ws.rs.core.UriInfo uriInfo)`
`void` | `setConsumerTimeoutSeconds(int consumerTimeoutSeconds)`
`void` | `setDestination(java.lang.String destination)`
`void` | `setServiceManager(DestinationServiceManager serviceManager)`
`void` | `setSessionFactory(org.hornetq.api.core.client.ClientSessionFactory sessionFactory)`
`void` | `stop()`
`void` | `testTimeout(java.lang.String target)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### queueConsumers

    protected java.util.concurrent.ConcurrentHashMap<java.lang.String,QueueConsumer> queueConsumers

### sessionFactory

    protected org.hornetq.api.core.client.ClientSessionFactory sessionFactory

### destination

    protected java.lang.String destination

### startup

    protected final java.lang.String startup

### sessionCounter

    protected java.util.concurrent.atomic.AtomicLong sessionCounter

### consumerTimeoutSeconds

    protected int consumerTimeoutSeconds

### serviceManager

    protected DestinationServiceManager serviceManager

Constructor Detail

### SubscriptionsResource

    public SubscriptionsResource()

Method Detail

### getServiceManager

    public DestinationServiceManager getServiceManager()

### setServiceManager

    public void setServiceManager(DestinationServiceManager serviceManager)

### getConsumerTimeoutSeconds

    public int getConsumerTimeoutSeconds()

### setConsumerTimeoutSeconds

    public void setConsumerTimeoutSeconds(int consumerTimeoutSeconds)

### getSessionFactory

    public org.hornetq.api.core.client.ClientSessionFactory getSessionFactory()

### setSessionFactory

    public void setSessionFactory(org.hornetq.api.core.client.ClientSessionFactory sessionFactory)

### getDestination

    public java.lang.String getDestination()

### setDestination

    public void setDestination(java.lang.String destination)

### testTimeout

    public void testTimeout(java.lang.String target)

  Specified by:
    `testTimeout` in interface `TimeoutTask.Callback`

### stop

    public void stop()

### generateSubscriptionName

    protected java.lang.String generateSubscriptionName()

### createSubscription

    public javax.ws.rs.core.Response createSubscription(boolean durable,
                                                        boolean autoAck,
                                                        java.lang.String subscriptionName,
                                                        java.lang.String selector,
                                                        @Context
                                                        javax.ws.rs.core.UriInfo uriInfo)

### createConsumer

    protected QueueConsumer createConsumer(boolean durable,
                                           boolean autoAck,
                                           java.lang.String subscriptionName,
                                           java.lang.String selector)
                                    throws org.hornetq.api.core.HornetQException

  Throws:
    `org.hornetq.api.core.HornetQException`

### getAutoAckSubscription

    public javax.ws.rs.core.Response getAutoAckSubscription(java.lang.String consumerId,
                                                            @Context
                                                            javax.ws.rs.core.UriInfo uriInfo)
                                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### headAutoAckSubscription

    public javax.ws.rs.core.Response headAutoAckSubscription(java.lang.String consumerId,
                                                             @Context
                                                             javax.ws.rs.core.UriInfo uriInfo)
                                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### findAutoAckSubscription

    public QueueConsumer findAutoAckSubscription(java.lang.String subscriptionId)

### getAcknowledgedConsumer

    public javax.ws.rs.core.Response getAcknowledgedConsumer(java.lang.String consumerId,
                                                             @Context
                                                             javax.ws.rs.core.UriInfo uriInfo)
                                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### headAcknowledgedConsumer

    public javax.ws.rs.core.Response headAcknowledgedConsumer(java.lang.String consumerId,
                                                              @Context
                                                              javax.ws.rs.core.UriInfo uriInfo)
                                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### findAcknoledgeSubscription

    public QueueConsumer findAcknoledgeSubscription(java.lang.String subscriptionId)

### deleteAckSubscription

    public void deleteAckSubscription(java.lang.String consumerId)

### deleteSubscription

    public void deleteSubscription(java.lang.String consumerId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.